package com.liquidnet.service.sweet.service;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetManualNotify;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.models.auth.In;

import java.util.List;

/**
 * <p>
 * 电子宣传手册通知表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-07-23
 */
public interface ISweetManualNotifyService extends IService<SweetManualNotify> {

    ResponseDto<PageInfo<SweetManualNotify>> getList(Integer page, Integer size, String title,String manualId);

    ResponseDto<Boolean> add(String manualId,String title, String content);

    ResponseDto<SweetManualNotify> details(String manualId);

    ResponseDto<Boolean> change(String manualId,String manualNotifyId, String title, String content);

    ResponseDto<Boolean> delete(String manualId);
}
